Create play
curl --request POST \
--url https://api.getcargo.io/v1/orchestration/plays \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"modelUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"changeKinds": [],
"description": "<string>",
"sort": [
{
"columnSlug": "<string>"
}
],
"limit": 123,
"trackingColumnSlugs": [
"<string>"
],
"schedule": {
"type": "<string>",
"jobId": "<string>"
},
"folderUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.getcargo.io/v1/orchestration/plays"
payload = {
"name": "<string>",
"modelUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"changeKinds": [],
"description": "<string>",
"sort": [{ "columnSlug": "<string>" }],
"limit": 123,
"trackingColumnSlugs": ["<string>"],
"schedule": {
"type": "<string>",
"jobId": "<string>"
},
"folderUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
modelUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
changeKinds: [],
description: '<string>',
sort: [{columnSlug: '<string>'}],
limit: 123,
trackingColumnSlugs: ['<string>'],
schedule: {type: '<string>', jobId: '<string>'},
folderUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.getcargo.io/v1/orchestration/plays', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"play": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"workflowUuid": "<string>",
"userUuid": "<string>",
"modelUuid": "<string>",
"segmentUuid": "<string>",
"changeKinds": [
"<string>"
],
"name": "<string>",
"description": "<string>",
"schedule": {
"type": "<string>",
"temporalScheduleWorkflowId": "<string>",
"meta": {}
},
"isEnabled": true,
"healthThreshold": 123,
"healthAlertActions": [
{
"actionSlug": "<string>",
"connectorUuid": "<string>",
"config": {}
}
],
"folderUuid": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>"
}
}Orchestration - Plays
Create play
Create a new play
POST
/
orchestration
/
plays
Create play
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request body schema.
Play name.
Model identifier.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Change kinds to include.
Available options:
added, updated, removed, unchanged Run creation rule.
Available options:
always, once, noConcurrency Play description.
Segment filter criteria.
Show child attributes
Show child attributes
Sort criteria.
Show child attributes
Show child attributes
Maximum number of records.
Tracking column identifiers.
Play schedule configuration.
- Schedule
- Schedule
- Schedule
- Schedule
- Schedule
Show child attributes
Show child attributes
Folder identifier.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Response
Successful response
Created play details.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

